petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPPIPEGCRSetUnrollW

Set to PETSC_TRUE to use PIPEGCR with unrolling of the w vector

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPPIPEGCRSetUnrollW(KSP ksp,PetscBool unroll_w)

Logically Collective on KSP Many br

### Input Parameters

| ksp | - the Krylov space context Many br
| unroll_w | - use unrolling Many br

Many br

### Options Database

-ksp_pipegcr_unroll_w - Many br

### See Also

KSPPIPEGCR, KSPPIPEGCRSetTruncationType(), KSPPIPEGCRSetNprealloc(),KSPPIPEGCRGetUnrollW()

Level:intermediate
Location:src/ksp/ksp/impls/gcr/pipegcr/pipegcr.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages